## react 0.9.2

=== debian/changelog ===
react (0.9.2-1~ubuntu10.04.1) lucid-backports; urgency=low

  * No-change backport to lucid (LP: #1021941)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 06 Jul 2012 22:19:00 +0100

react (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 27 Apr 2010 10:51:42 +0200

react (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Switch source package format to 3.0 (quilt)
  * Ship css of HTML documentation
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Apr 2010 21:41:39 +0200

react (0.9.0-2) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * Update my e-mail address and remove DMUA
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Oct 2009 10:19:01 +0200

react (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #532639)

 -- Stephane Glondu <steph@glondu.net>  Wed, 10 Jun 2009 22:16:51 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

OCAMLBUILD := ocamlbuild -classic-display $(if $(OCAML_OPT_ARCH),,-byte-plugin)

TARGETS := react.cmo $(if $(OCAML_OPT_ARCH),react.cmx test.native,test.byte)

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(OCAMLBUILD) $(TARGETS)
ifeq ($(OCAML_OPT_ARCH),)
	./test.byte
else
	./test.native
	ocamlopt -shared -o _build/src/react.cmxs _build/src/react.cmx
endif

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(OCAMLBUILD) -clean

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ml

## react 2024.1.0

=== DESCRIPTION ===
Package: react
Title: Reactivity Helper for 'shiny'
Version: 2024.1.0
Authors@R: 
    person("Romain", "François", email = "romain@tada.science", role = c("aut", "cre"))
Description: Tools to help with 'shiny' reactivity. The 'react' object offers
    an alternative way to call reactive expressions to better identify them
    in the server code. 
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.1.9000
Imports: cli, glue, rlang
URL: https://github.com/tadascience/react, https://react.tada.science/
BugReports: https://github.com/tadascience/react/issues
NeedsCompilation: no
Packaged: 2024-02-01 13:53:14 UTC; romainfrancois
Author: Romain François [aut, cre]
Maintainer: Romain François <romain@tada.science>
Repository: CRAN
Date/Publication: 2024-02-02 19:50:05 UTC

## react 0.9.3

=== debian/changelog ===
react (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 10:02:02 +0200

=== debian/control ===
Source: react
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.3
Section: ocaml
Homepage: http://erratique.ch/software/react
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/react.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/react.git

Package: libreact-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: functional reactive programming in OCaml
 React is an OCaml module for functional reactive programming.
 It provides support to program with time varying values:
 applicative events and signals. React doesn't define any primitive
 event or signal, this lets the client chooses the concrete timeline.
 .
 This package contains development files of React.

Package: libreact-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: functional reactive programming in OCaml (plugins)
 React is an OCaml module for functional reactive programming.
 It provides support to program with time varying values:
 applicative events and signals. React doesn't define any primitive
 event or signal, this lets the client chooses the concrete timeline.
 .
 This package contains dynamically loadable plugins of React.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --enable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
ifeq ($(OCAML_NATDYNLINK),yes)
	ocamlopt -shared -o _build/src/react.cmxs _build/src/react.cmx
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ml

## react 0.9.4

=== debian/changelog ===
react (0.9.4-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:42:17 +0100

react (0.9.4-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 21:51:47 +0200

react (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 17:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  dh-ocaml (>= 0.9),
- ocaml-findlib,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.3
+ ocaml-findlib (>= 1.4),
+ ocaml-nox (>= 4)
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://erratique.ch/software/react
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/react.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/react.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/react.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/react.git
 
 Package: libreact-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
-ifeq ($(OCAML_NATDYNLINK),yes)
-	ocamlopt -shared -o _build/src/react.cmxs _build/src/react.cmx
-endif
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:

## react 1.2.0

=== debian/changelog ===
react (1.2.0-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:47:37 +0200

react (1.2.0-3) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 08:51:44 +0200

react (1.2.0-2) unstable; urgency=medium

  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2015 16:21:30 +0100

react (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Oct 2015 10:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
  ocaml-findlib (>= 1.4),
+ ocamlbuild,
+ opam,
  ocaml-nox (>= 4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: ocaml
 Homepage: http://erratique.ch/software/react
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/react.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/react.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/react.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/react.git
 
 Package: libreact-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
http://erratique.ch/software/react/releases/react-(.*)\.tbz
# Upstream darcs repository:
#   http://erratique.ch/software/react/repo/

## react 1.2.1

=== debian/changelog ===
react (1.2.1-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:35:06 +0000

react (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2020 10:36:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: react
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9),
  ocaml-findlib (>= 1.4),
  ocamlbuild,
- opam,
+ libtopkg-ocaml-dev,
+ opam-installer,
  ocaml-nox (>= 4)
-Standards-Version: 3.9.6
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://erratique.ch/software/react
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/react.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/react.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/react
+Vcs-Git: https://salsa.debian.org/ocaml-team/react.git
 
 Package: libreact-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
https://erratique.ch/software/react/releases/react-(.*)\.tbz

## react 1.2.1-1

=== debian/changelog ===
react (1.2.1-1-deepin1+rb2) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:20:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: react
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 12),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	ocaml pkg/pkg.ml clean

override_dh_auto_build:
	ocaml pkg/pkg.ml build --tests true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ocaml pkg/pkg.ml test
endif

override_dh_auto_install:
	opam-installer --prefix=$(DESTDIR) --libdir=.$(OCAML_STDLIB_DIR) react.install
	rm -f $(DESTDIR)/doc/react/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ml

## react 1.2.2

=== debian/changelog ===
react (1.2.2-2) unstable; urgency=medium

  * Fix missing files reported by dh_missing (Closes: #1114345)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Sep 2025 15:09:40 +0200

react (1.2.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2022 17:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 13),
+ dh-ocaml,
  ocaml-findlib (>= 1.4),
  ocamlbuild,
  libtopkg-ocaml-dev,
  opam-installer,
- ocaml-nox (>= 4)
-Standards-Version: 4.4.1
+ ocaml
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://erratique.ch/software/react
+Homepage: https://erratique.ch/software/react
 Vcs-Browser: https://salsa.debian.org/ocaml-team/react
 Vcs-Git: https://salsa.debian.org/ocaml-team/react.git

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,6 @@
 	opam-installer --prefix=$(DESTDIR) --libdir=.$(OCAML_STDLIB_DIR) react.install
 	rm -f $(DESTDIR)/doc/react/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ml

=== debian/watch ===
version=4
https://erratique.ch/software/react/releases/react-(.*)\.tbz
